Subject: Re: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend

From: Reuben Thomas <[email-masked]>
Date: Tue, 3 Nov 2020 18:53:54 +0000

On Tue, 3 Nov 2020 at 18:50, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> > Date: Tue, 3 Nov 2020 18:27:32 +0000
> > Cc: [email-masked], dinkonin <[email-masked]>
> >
> >  I think it would be wrong for Emacs to do that, as that would put all
> >  the eggs in a single basket, something that is not safe in Free
> >  Software world, where packages become unmaintained outside of our
> >  control.
> >
> > I don't understand this: Emacs, to this day, is happy to import large
> quantities of code from other project; let
> > alone the option of forking/maintaining free software, which is one of
> its great benefits. And because
> > Enchant has such a similar interface to the other supported
> spell-checkers, the cost of switching is low. For
> > myself, I'd be more concerned with bugs or missing functionality in
> Enchant as a reason to be cautious (i.e.
> > I would want to see a phased transition) than about the long-term
> prospects.
>
> We are miscommunicating.  My point is that if Emacs will depend on
> Enchant and won't be able to use the existing spellers without Enchant
> being in-between, then we will be in a dire situation if Enchant stops
> being developed and bit-rots.  By contrast, with the current code, we
> can always tell users to use aspell/hunspell directly.
>

What I was trying to say is that it would be very easy to re-add support
for the other spell-checkers, since they and Enchant operate in the same
way, and they would not have changed in the mean time. There is little to
rot in Enchant, I intend to reduce that amount, and in the end it should be
less effort to maintain Enchant than to maintain multiple back-ends in
ispell.el.

-- 
https://rrt.sc3d.org